Bug 1007604 - Review Request: xflr5 - Analysis tool for airfoils, wings and planes
Review Request: xflr5 - Analysis tool for airfoils, wings and planes
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-12 18:51 EDT by Sandro Mani
Modified: 2013-09-22 00:27 EDT (History)
2 users (show)

See Also:
Fixed In Version: xflr5-6.09.05-3.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-22 00:27:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
i: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Sandro Mani 2013-09-12 18:51:33 EDT
Spec URL: http://smani.fedorapeople.org/xflr5.spec
SRPM URL: http://smani.fedorapeople.org/xflr5-6.09.06-1.fc21.src.rpm
Description: Analysis tool for airfoils, wings and planes
Fedora Account System Username: smani
Comment 1 Christopher Meng 2013-09-12 19:42:24 EDT
1. qmake-qt4 -> $qmake_qt4 

2. %{_datadir}/icons/hicolor/64x64/apps/%{name}.png
%{_datadir}/icons/hicolor/128x128/apps/%{name}.png

so you forgot to refresh icon cache
Comment 2 Sandro Mani 2013-09-13 03:32:18 EDT
Spec URL: http://smani.fedorapeople.org/xflr5.spec
SRPM URL: http://smani.fedorapeople.org/xflr5-6.09.06-2.fc21.src.rpm

* Fri Sep 13 2013 Sandro Mani <manisandro@gmail.com> - 6.09.06-2
- Use qmake_qt4 macro
- Refresh icon cache
Comment 3 Christopher Meng 2013-09-13 05:29:03 EDT
First, I checked sf.net page and can't find this version, so my question is: can you package the stable version? Or tell me why you refuse to do that.
Comment 4 Sandro Mani 2013-09-13 05:46:25 EDT
No particular reason, except that I missed that the developer does not use trunk as the trunk, but branches/6.09-06...

So let's start over:

Spec URL: http://smani.fedorapeople.org/xflr5.spec
SRPM URL: http://smani.fedorapeople.org/xflr5-6.09.05-1.fc21.src.rpm
Comment 5 Christopher Meng 2013-09-13 10:00:04 EDT
(In reply to Sandro Mani from comment #4)
> No particular reason, except that I missed that the developer does not use
> trunk as the trunk, but branches/6.09-06...
> 
> So let's start over:
> 
> Spec URL: http://smani.fedorapeople.org/xflr5.spec
> SRPM URL: http://smani.fedorapeople.org/xflr5-6.09.05-1.fc21.src.rpm

Ok.

If possible you can send an email to upstream about the release problem(But I think he will merge the branch when ready for stable or whatever.)

Review:

xflr5.i686: W: wrong-file-end-of-line-encoding /usr/share/doc/xflr5/License.txt
xflr5.i686: E: incorrect-fsf-address /usr/share/doc/xflr5/License.txt
xflr5.i686: W: wrong-file-end-of-line-encoding /usr/share/doc/xflr5/ReleaseNotes.txt

Also, licensecheck noticed a lot of incorrect FSF address problem.
Comment 6 Sandro Mani 2013-09-13 10:30:24 EDT
Spec URL: http://smani.fedorapeople.org/xflr5.spec
SRPM URL: http://smani.fedorapeople.org/xflr5-6.09.05-2.fc21.src.rpm

* Fri Sep 13 2013 Sandro Mani <manisandro@gmail.com> - 6.09.05-2
- Fix line endings
- Add patch to fix fsf addresses

I've notified upstream about the FSF address problem [1].

[1] https://sourceforge.net/p/xflr5/discussion/679396/thread/3c53b4e2/
Comment 7 Christopher Meng 2013-09-13 11:02:09 EDT
1. install -Dm 0644 --> install -PDm 0644

2. Use desktop-file-install to install desktop file, so you don't need to validate it.

desktop-file-install --dir=%{buildroot}%{_datadir}/applications/%{name}.desktop %{S:1}

3. Source0 should add full URL, also if stable remove comments.
Comment 8 Sandro Mani 2013-09-13 11:17:35 EDT
Spec URL: http://smani.fedorapeople.org/xflr5.spec
SRPM URL: http://smani.fedorapeople.org/xflr5-6.09.05-3.fc21.src.rpm

* Fri Sep 13 2013 Sandro Mani <manisandro@gmail.com> - 6.09.05-3
- Use desktop-file-install
- Preserve timestamps

1. Do we really want this? I the selinux contexts are pretty much the default anyway. Or do you mean lower-case p to preserve the timestamps? In which case: done
2. Fair enough
3. As stated in the comments, there seems to be no URL for downloading the source tarball (only binary installers are distributed on the sourceforge page)
Comment 9 Christopher Meng 2013-09-13 11:19:34 EDT
(In reply to Sandro Mani from comment #8)
> Spec URL: http://smani.fedorapeople.org/xflr5.spec
> SRPM URL: http://smani.fedorapeople.org/xflr5-6.09.05-3.fc21.src.rpm
> 
> * Fri Sep 13 2013 Sandro Mani <manisandro@gmail.com> - 6.09.05-3
> - Use desktop-file-install
> - Preserve timestamps
> 
> 1. Do we really want this? I the selinux contexts are pretty much the
> default anyway. Or do you mean lower-case p to preserve the timestamps? In
> which case: done

Oh...sorry for the TYPO.  -p

3. Should ask upstream to provide a source ball.

APPROVED.
Comment 10 Sandro Mani 2013-09-13 11:23:43 EDT
3. Done: https://sourceforge.net/p/xflr5/discussion/679396/thread/3c53b4e2/

Thanks for the review!


New Package SCM Request
=======================
Package Name: xflr5
Short Description: Analysis tool for airfoils, wings and planes
Owners: smani
Branches: f19 f20
InitialCC:
Comment 11 Gwyn Ciesla 2013-09-13 11:41:07 EDT
Git done (by process-git-requests).
Comment 12 Fedora Update System 2013-09-13 12:27:43 EDT
xflr5-6.09.05-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/xflr5-6.09.05-3.fc20
Comment 13 Fedora Update System 2013-09-13 12:28:24 EDT
xflr5-6.09.05-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/xflr5-6.09.05-3.fc19
Comment 14 Fedora Update System 2013-09-13 13:29:58 EDT
xflr5-6.09.05-3.fc20 has been pushed to the Fedora 20 testing repository.
Comment 15 Fedora Update System 2013-09-22 00:27:02 EDT
xflr5-6.09.05-3.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.